
Ryzom - Bug # 1105

Status: Closed Priority: Normal
Author: Naush Category: Client: General
Created: 09/26/2010 Assignee: kervala
Updated: 01/08/2011 Due date:
Subject: NLMISC::createDebug - Infinite loop
Description

This bug have been found while running ryzom_client

On initialization of NLMISC::createDebug , log*.log are deleted and recreated. Before unlinking 'log*.log' a chmod is made, if the
chmod fail we are displaying a warning message via nlwarning.
Because NLMISC::createDebug is not initialized, we are looping for ever and exhaust the stack.

Maybe moving "INelContext::getInstance().setAlreadyCreateSharedAmongThreads(true);" on the top of the function, will keep console
logging online.

#3515 0x00007ffff7b285e3 in CFileDisplayer (this=0x2d07e90, filename="log.log", eraseLastLog=true, displayerName=<value
optimized out>, raw=<value optimized out>, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>)
    at /opt/src/ryzom/code/nel/src/misc/displayer.cpp:332
#3516 0x00007ffff7a76ee5 in NLMISC::createDebug (logPath=<value optimized out>, logInFile=true, eraseLastLog=<value
optimized out>) at /opt/src/ryzom/code/nel/src/misc/debug.cpp:1213
#3517 0x00007ffff7ad480e in NLMISC::CFile::setRWAccess (filename=<value optimized out>) at
/opt/src/ryzom/code/nel/src/misc/path.cpp:2407
#3518 0x00007ffff7ad488b in NLMISC::CFile::deleteFile (filename="log000.log") at
/opt/src/ryzom/code/nel/src/misc/path.cpp:2426
#3519 0x00007ffff7b28232 in NLMISC::CFileDisplayer::setParam (this=0x2d07890, filename="log.log", eraseLastLog=<value
optimized out>) at /opt/src/ryzom/code/nel/src/misc/displayer.cpp:379
#3520 0x00007ffff7b285e3 in CFileDisplayer (this=0x2d07890, filename="log.log", eraseLastLog=true, displayerName=<value
optimized out>, raw=<value optimized out>, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>)
    at /opt/src/ryzom/code/nel/src/misc/displayer.cpp:332

History
#1 - 09/26/2010 11:05 pm - kervala
- Status changed from New to Assigned
- Assignee set to kervala

Thanks a lot for reporting :)

I disabled writing in logs when logs are not yet initialized, so you shouldn't have this problem anymore.

#2 - 09/26/2010 11:09 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r865.
#3 - 09/26/2010 11:09 pm - kervala
- Target version set to Version 0.8.0

#4 - 01/08/2011 06:47 pm - kervala
- Status changed from Resolved to Closed
